Package org.flowable.bpmn.model

# Class SignalEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.SignalEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class SignalEventDefinition extends EventDefinition

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `async`
  `protected String`
  `signalExpression`
  `protected String`
  `signalRef`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SignalEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SignalEventDefinition`
  `clone()`
  `String`
  `getSignalExpression()`
  `String`
  `getSignalRef()`
  `boolean`
  `isAsync()`
  `void`
  `setAsync(boolean async)`
  `void`
  `setSignalExpression(String signalExpression)`
  `void`
  `setSignalRef(String signalRef)`
  `void`
  `setValues(SignalEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### signalRef

    protected String signalRef

  - ### signalExpression

    protected String signalExpression

  - ### async

    protected boolean async

- ## Constructor Details

  - ### SignalEventDefinition

    public SignalEventDefinition()

- ## Method Details

  - ### getSignalRef

    public String getSignalRef()

  - ### setSignalRef

    public void setSignalRef(String signalRef)

  - ### getSignalExpression

    public String getSignalExpression()

  - ### setSignalExpression

    public void setSignalExpression(String signalExpression)

  - ### isAsync

    public boolean isAsync()

  - ### setAsync

    public void setAsync(boolean async)

  - ### clone

    public SignalEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(SignalEventDefinition otherDefinition)